# $Id: wxRemAbout.py 8 2006-05-08 15:14:25Z dag $
import os.path, wx, wx.html

from version import *
from wxremindrc import *

description = """\
wxRemind is a  graphical front-end to Remind
based on wxPython. Remind is a remarkable 
calendar and alarm system.
"""

license = "GNU General Public License (GPL)"

class About(wx.Panel):

    def __init__(self, parent):
        # First we create and fill the info object
        global version
        wx.Panel.__init__(self, parent, -1)
        info = wx.AboutDialogInfo()
        info.Name = "wxRemind"
        info.Version = "%s" % version
        info.Copyright = "(C) 2006-2008 Daniel A. Graham"
        info.Description = description
        info.WebSite = ("http://www.duke.edu/~dgraham/wxRemind", 
            "wxRemind home page")
        info.Developers = [ "Daniel A. Graham <daniel.graham@duke.edu>", ]

        info.License = license

        # Then we call wx.AboutBox giving it that info object
        wx.AboutBox(info)
