import os.path, wx.html
from wxremindrc import *
from version import *

class Help(wx.Dialog):
    text = '''
<html>
<body>
<table border="0">
<tr><th>?</th> <td>Usage information (this page).</td></tr>
<tr><th>F1</th> <td>About wxRemind.</td></tr>
<tr><th>h</th> <td>Show hints for creating reminders.</td></tr>
<tr><th>Space</th> <td> Switch to the current date.</td></tr>
<tr><th>Tab</th> <td> Toggle focus between the calendar and event list.</td></tr>
<tr><th>Arrow Left/Right</th> <td> In calendar, previous/next day.</td></tr>
<tr><th>Arrow Up/Down</th> <td> In calendar, previous/next week.
In event list, previous/next event.</td> </tr>
<tr><th>Page Up/Down</th> <td> In calendar, previous/next month.
In event list, previous/next page.</td></tr>
<tr><th>Enter / Double left-click</th> <td> In event list, edit the selected event.</td></tr>
<tr><th>a</th> <td> Create a new <em>timed</em> reminder with an <em>external</em> alert.</td></tr>
<tr><th>c</th> <td> Display/print postscript calendar for selected month.</td></tr>
<tr><th>d</th> <td> Show events for the next %s days starting from the selected date.</td></tr>
<tr><th>D</th> <td> In the event list, delete the note attached to the selected reminder if it exists.</td></tr>
<tr><th>e</th> <td> Open the default reminders file for editing.</td></tr>
<tr><th>n</th> <td> Search for next occurance (use / to begin).</td></tr>
<tr><th>N</th> <td> In the event list, create a note for the current reminder if necessary and open it in the external editor.</td></tr>
<tr><th>s</th> <td> Create a new reminder using a skeleton template.</td></tr>
<tr><th>t</th> <td> Create a new <em>timed</em> reminder with an <em>internal</em> alert.</td></tr>
<tr><th>u</th> <td> Create a new <em>untimed</em> reminder.</ltd> </tr>
<tr><th>/</th> <td> Begin case-insensitive search from selected date (use n to repeat).</td></tr>
<tr><th>R</th> <td> Refresh reminders. (Done automatically after creating a new event or closing external editor.)</td></tr>
<tr><th>C-Q</th> <td> Exit.</td></tr>
</table>
</body>
</html>
''' % days
    def __init__(self, parent):
        wx.Dialog.__init__(self, parent, -1, 'wxRemind Usage',
                          size=(580, 600))
        html = wx.html.HtmlWindow(self)
        html.SetPage(self.text)
        # html.SetBackgroundColour(fcolor)
        button = wx.Button(self, wx.ID_OK, "OK")
        button.SetDefault()
        sizer = wx.BoxSizer(wx.VERTICAL)
        sizer.Add(html, 1, wx.EXPAND|wx.ALL, 5)
        sizer.Add(button, 0, wx.ALIGN_CENTER|wx.ALL, 5)
        self.SetSizer(sizer)
        # self.SetBackgroundColour(fcolor)
        self.Layout()
